@charset "UTF-8";
html{
    font-size: 100%;
}

body{
    background-color: floralwhite;
    line-height: 1.7;
    color: #432;
}

img{
    max-width: 100%;
}

hr{
    border: none;
    border-bottom: 1px solid #bebebe;
    margin: 20px 20px;
}

.red{
    color: #e32222;
}

.btn-flat-simple {
    position: relative;
    display: inline-block;
    font-weight: bold;
    padding: 0.25em 0.5em;
    text-decoration: none;
    color: #00bbdd;
    background: #ECECEC;
    transition: .4s;
}

.btn-flat-simple:hover {
    background: #0bd;
    color: white;
}

.btn-border-bottom {
  position: relative;
  display: inline-block;
  font-weight: bold;
  padding: 0.25em 0;
  text-decoration: none;
  color: #00bbdd;  
}

.btn-border-bottom:before {
  position: absolute;
  content: '';
  width: 100%;
  height: 4px;
  top:100%;
  left: 0;
  border-radius: 3px;
  background:#00bbdd;
  transition: .2s;
}

.btn-border-bottom:hover:before {
  top: -webkit-calc(100% - 3px);
  top: calc(100% - 3px);
}

div.container{
    background-color: #fff;
    max-width: 800px;
    padding-bottom: 40px;
    margin-inline: auto;
}

div.center{
    display: flex;
    justify-content: center;
}

.linkimage{
  text-align: center;
}

.heading-link {
    padding:0 .4em .2em;
    border-bottom: 3px dashed #2589d0;
    background-color: #ffffff;
    color: #432;
}

.shadow{
    box-shadow: 2px 2px 4px gray;
}

.question-item{
    max-width: 640px;
    margin-inline: auto;
    padding-inline: 20px;
}

.top-article{
    margin-inline: auto;
    padding-inline: 20px;
}

.top-link{
    margin-inline: auto;
    padding-inline: 20px;
}

.question-top{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(190px, 1fr));
    gap: 50px 20px;
}

li::marker {
  font-weight: bold;
  color: #e32222;
}

li.dummy{
    width: 200px;
    margin: 0 10px;
}

li.item{
    margin: 0 10px;
}

ul.article-pager{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(140px, 1fr));
    gap: 10px;
    list-style-type: none;
    margin:20px 20px 10px;
}

ol{
    list-style-type: upper-alpha;
    margin: 0 0 1em 1.5em;
}

.heading-01 {
    margin-bottom: 1.5em;
    position: relative;
    padding: .5em 1.5em .4em;
    border-bottom: 3px solid #0bd;
    color: #432;
}

.heading-01::before,
.heading-01::after {
    position: absolute;
    left: 45px;
    bottom: -15px;
    width: 30px;
    height: 15px;
    clip-path: polygon(0 0, 100% 0, 50% 100%);
    content: '';
}

.heading-01::before {
    background-color: #0bd;
}

.heading-01::after {
    bottom: -11px;
    background-color: #fff;
}

.question {
    width: 100%;
    position: relative;
    margin: 40px 0;
    padding: 2.5em 2em 1em 2em;
    border: 2px solid #bebebe;
}

.question div:first-child {
    position: absolute;
    top: -1.15em;
    left: -.5em;
    padding: .4em 1.4em;
    border-radius: 25px;
    background-color: #f18d09;
    color: #fff;
    font-size: 1.2em;
}
/*
.question div:first-child::before {
    position: absolute;
    bottom: -8px;
    left: 50%;
    transform: translateX(-50%);
    width: 16px;
    height: 8px;
    background-color: #f18d09;
    clip-path: polygon(0 0, 100% 0, 50% 100%);
    content: '';
}
*/
.question p {
    margin: 0;
}

.answer{
    color: #e32222;
    font-size: 2rem;
}

.accordion-quiz {
    border: 2px solid #f18d09;
    border-radius: 5px;
}

.accordion-quiz summary {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
    padding: 1em 2em;
    background-image: url('data:image/svg+xml;charset=utf8,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%2028%2028%22%3E%0A%20%20%20%20%3Ccircle%20cx%3D%2214%22%20cy%3D%2214%22%20r%3D%2214%22%20style%3D%22fill%3A%23f18d09%3B%22%2F%3E%0A%3C%2Fsvg%3E');
    background-position: right calc(2em - 7px) center;
    background-size: 22px;
    background-repeat: no-repeat;
    color: #f18d09;
    font-weight: 600;
    cursor: pointer;
}

.accordion-quiz summary::-webkit-details-marker {
    display: none;
}

.accordion-quiz summary::after {
    transform: translateY(-25%) rotate(45deg);
    width: 5px;
    height: 5px;
    border-bottom: 3px solid #fff;
    border-right: 3px solid #fff;
    content: '';
    transition: transform .3s;
}

.accordion-quiz[open] summary::after {
    transform: rotate(225deg);
}

.accordion-quiz p {
    transform: translateY(-10px);
    opacity: 0;
    margin: 0;
    padding: 0 2em 1.5em;
    color: #432;
    transition: transform .5s, opacity .5s;
}

.accordion-quiz[open] p {
    transform: none;
    opacity: 1;
}

.ribbon {
  display: inline-block;
  position: relative;
  height: 60px;/*高さ*/
  line-height: 60px;/*高さ*/
  text-align: center;
  padding: 0 40px 0 18px;/*文字の左右の余白*/
  font-size: 18px;/*文字サイズ*/
  background: #ffa64d;/*背景色*/
  color: #FFF;/*文字色*/
  box-sizing: border-box;
}

.ribbon:after {
  position: absolute;
  content: '';
  width: 0px;
  height: 0px;
  z-index: 1;
}

.ribbon:after {
  top: 0;
  right: 0;
  border-width: 30px 15px 30px 0px;
  border-color: transparent #fff transparent transparent;
  border-style: solid;
}